### Hierarchy

- unknown
  - SendBtcReply

## Index

### Constructors

- constructor

### Methods

- clearTxInfo
- getTxInfo
- hasTxInfo
- serializeBinary
- setTxInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SendBtcReply(): SendBtcReply

- Inherited from jspb.Message.constructor

  #### Returns SendBtcReply

## Methods

### clearTxInfo

- clearTxInfo(): SendBtcReply

- - Defined in src/protobuf/grpc_pb.d.ts:3387

  #### Returns SendBtcReply

### getTxInfo

- getTxInfo(): undefined | TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3384

  #### Returns undefined | TxInfo

### hasTxInfo

- hasTxInfo(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3386

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3389

  #### Returns Uint8Array

### setTxInfo

- setTxInfo(value?: TxInfo ): SendBtcReply

- - Defined in src/protobuf/grpc_pb.d.ts:3385

  #### Parameters

  - ##### Optional value: TxInfo

  #### Returns SendBtcReply

### toObject

- toObject(includeInstance?: boolean): SendBtcReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3390

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SendBtcReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendBtcReply

- - Defined in src/protobuf/grpc_pb.d.ts:3393

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendBtcReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendBtcReply, reader: BinaryReader): SendBtcReply

- - Defined in src/protobuf/grpc_pb.d.ts:3394

  #### Parameters

  - ##### message: SendBtcReply

  - ##### reader: BinaryReader

  #### Returns SendBtcReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SendBtcReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3392

  #### Parameters

  - ##### message: SendBtcReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SendBtcReply ): SendBtcReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3391

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendBtcReply

  #### Returns SendBtcReply . AsObject

Generated using TypeDoc